Author: moeller
Date: 2010-10-17 00:42:53 +0000 (Sun, 17 Oct 2010)
New Revision: 5363
Modified:
trunk/packages/ensembl/ensembl/57/debian/ensembl.postinst
Log:
Creation of files in /var.
Modified: trunk/packages/ensembl/ensembl/57/debian/ensembl.postinst
===================================================================
--- trunk/packages/ensembl/ensembl/57/debian/ensembl.postinst 2010-10-17
00:42:12 UTC (rev 5362)
+++ trunk/packages/ensembl/ensembl/57/debian/ensembl.postinst 2010-10-17
00:42:53 UTC (rev 5363)
@@ -25,11 +25,19 @@
echo "Preparing a series of directories."
for d in /var/log/ensembl /var/cache/ensembl/img-cache
/var/tmp/ensembl/img-tmp /var/tmp/ensembl/tmp
do
- if [ ! -d "$d" ]; then
- mkdir -p "$d"
- chown nobody.nogroup "$d"
- chmod 755 "$d"
+ if [ -d "$d" ]; then
+ continue;
+ elif [ -L "$d" ]; then
+ # a presumed remnant of a previous installation
pointing to /usr/share/ensembl
+ rm "$d"
+ elif [ -r "$d" ]; then
+ echo "File '$d' should be a directory - something is
wrong."
+ exit 1;
fi
+ echo "Creating directory '$d'."
+ mkdir -p "$d"
+ chown nobody.nogroup "$d"
+ chmod 755 "$d"
done
echo "Enabling Apache modules."
_______________________________________________
debian-med-commit mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/debian-med-commit